Bug 1279079 - wrong permissions requested
wrong permissions requested
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 13:01 EST by Richard Jasmin
Modified: 2015-12-21 19:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-21 19:20:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Jasmin 2015-11-07 13:01:58 EST
Description of problem:
The wrong permissions are requested when using mock, or setting it up for a koji build.Alas, this process requires a superuser, however, ANY superuser permission can be requested.

Yet, ROOT password is explicity requested.This is not the only app requesting this.This could have security potential.

Version-Release number of selected component (if applicable):
22

How reproducible:
every instatiation or invocation of the application

Steps to Reproduce:
1.try and mock something

Actual results:
I WANT ROOT DAMMNIT!

Expected results:
I am already a superuser, ask for my permission.
Comment 1 Miroslav Suchý 2015-11-09 05:24:19 EST
I believe there is something incorrectly configure on your side.
Mock does not require to be root. You just need to be member of mock group.
See:
  https://fedoraproject.org/wiki/Mock#Setup
Comment 2 Miroslav Suchý 2015-12-21 19:20:18 EST
Unless there is more data, I'm closing this.

Note You need to log in before you can comment on or make changes to this bug.